__gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc > Struct Template Reference

`#include <pat_trie_base.hpp>`

## Public Types

typedef _Alloc | allocator_type
typedef null_type | metadata_type

## Detailed Description

template<typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >

Specialization for null metadata.

Definition at line 83 of file pat_trie_base.hpp.

## Member Typedef Documentation

## allocator_type

template<typename _Alloc >

typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::allocator_type

Definition at line 86 of file pat_trie_base.hpp.

## metadata_type

template<typename _Alloc >

typedef null_type __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::metadata_type

Definition at line 85 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp